initlog(8)

NOM
initlog - écrit les messages et les événements dans le journal système

SYNOPSIS
initlog [-cefnpqrs] [--cmd=ARG] [--event=ARG] [--facility=ARG] [--name=ARG] [--priority=ARG] [--run=ARG] [--string=ARG]

DESCRIPTION
initlog écrit les messages et les événements dans le journal système. Il sert surtout dans les scripts d'initialisation. initlog lit un fichier de configuration /etc/initlog.conf par défaut, pour connaître ses paramètres. Toute ligne précédée d'un # est un commentaire, et les directives de configuration suivantes sont reconnues :

facility <logging facility>
    Indique le journal par défaut

priority <logging priority>
    Indique la priorité par défaut de l'écriture

ignore <regexp>
    Les messages identifiés par l'expression régulière ne seront pas écrits.

Le comportement de initlog peut aussi être configuré par des options en
    ligne de commande.

  OPTIONS

-c, --cmd=[programme]
    Exécute le programme spécifié, en écrivant toute sortie vers stdout ou stderr.

-e, --event=[nombre]
    Écrit que l'événement spécifié s'est produit. Utilisé en conjonction avec --name. Actuellement les événements spécifiés sont :
     1  l'action s'est terminée avec succès
     2  l'action a échoué
     3  l'action a été annulée par l'utilisateur
     4  l'action a échoué à cause de l'échec d'une action dépendante

-f, --facility=[facility]
    Écrit dans le journal spécifié par syslog. La valeur par défaut
    est daemon (voir syslog(3)).

-n, --name=[chaîne]
    Écrit l'événement selon la chaîne spécifiée, comme par exemple
    "inetd".

-p, --priority=[priorité]
    Écrit à la priorité syslog indiquée. La valeur par défaut
    est notice (voir syslog(3)).

-q  N'affiche pas la sortie du programme, à moins qu'il ne s'arrête
    avec une valeur de retour différente de zéro.

-r, --run=[programme]
    Exécute le programme spécifié, avec un descripteur de fichier
    ouvert, pour que le programme puisse renvoyer des commandes vers
    initlog.

-s, --string=[chaîne]
    Écrit la chaîne spécifiée dans le journal.

--conf=[fichier]
    Spécifie un fichier de configuration différent.

FICHIERS
/etc/initlog.conf

VOIR AUSSI
syslog(3), logger(1)